--------------------------------------------------------
--  File created - mircoles-junio-15-2011   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Sequence NOTA_SEQUENCE
--------------------------------------------------------

   CREATE SEQUENCE  "ARNOTES4U"."NOTA_SEQUENCE"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 121 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence USUARIO_SEQUENCE
--------------------------------------------------------

   CREATE SEQUENCE  "ARNOTES4U"."USUARIO_SEQUENCE"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 81 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Table NOTAS
--------------------------------------------------------

  CREATE TABLE "ARNOTES4U"."NOTAS" 
   (	"NOT_USU_ID_DE" NUMBER(5,0), 
	"NOT_SEQUENCE" NUMBER, 
	"NOT_TEXTO" VARCHAR2(100), 
	"NOT_TITULO" VARCHAR2(30), 
	"NOT_LATITUD" NUMBER, 
	"NOT_LONGITUD" NUMBER, 
	"NOT_ALTITUD" NUMBER, 
	"NOT_FECHA_ALTA" DATE
   ) ;
--------------------------------------------------------
--  DDL for Table USUARIOS
--------------------------------------------------------

  CREATE TABLE "ARNOTES4U"."USUARIOS" 
   (	"USU_ID" NUMBER(5,0), 
	"USU_NOMBRE" VARCHAR2(30), 
	"USU_PWD" VARCHAR2(8)
   ) ;
--------------------------------------------------------
--  DDL for Table USUARIOS_NOTAS
--------------------------------------------------------

  CREATE TABLE "ARNOTES4U"."USUARIOS_NOTAS" 
   (	"UNO_NOT_USU_ID_DE" NUMBER(5,0), 
	"UNO_NOT_SEQUENCE" NUMBER, 
	"UNO_NOT_USU_ID_PARA" NUMBER(5,0), 
	"UNO_ESTADO_NOTA" VARCHAR2(1)
   ) ;
--------------------------------------------------------
--  Constraints for Table USUARIOS
--------------------------------------------------------

  ALTER TABLE "ARNOTES4U"."USUARIOS" MODIFY ("USU_ID" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."USUARIOS" MODIFY ("USU_NOMBRE" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."USUARIOS" MODIFY ("USU_PWD" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."USUARIOS" ADD CONSTRAINT "USUARIOS_PK" PRIMARY KEY ("USU_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table USUARIOS_NOTAS
--------------------------------------------------------

  ALTER TABLE "ARNOTES4U"."USUARIOS_NOTAS" MODIFY ("UNO_NOT_USU_ID_DE" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."USUARIOS_NOTAS" MODIFY ("UNO_NOT_SEQUENCE" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."USUARIOS_NOTAS" MODIFY ("UNO_NOT_USU_ID_PARA" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."USUARIOS_NOTAS" MODIFY ("UNO_ESTADO_NOTA" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."USUARIOS_NOTAS" ADD CONSTRAINT "USUARIOS_NOTAS_PK" PRIMARY KEY ("UNO_NOT_USU_ID_DE", "UNO_NOT_SEQUENCE", "UNO_NOT_USU_ID_PARA") ENABLE;
--------------------------------------------------------
--  Constraints for Table NOTAS
--------------------------------------------------------

  ALTER TABLE "ARNOTES4U"."NOTAS" ADD CONSTRAINT "NOTAS_PK" PRIMARY KEY ("NOT_USU_ID_DE", "NOT_SEQUENCE") ENABLE;
 
  ALTER TABLE "ARNOTES4U"."NOTAS" MODIFY ("NOT_USU_ID_DE" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."NOTAS" MODIFY ("NOT_SEQUENCE" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."NOTAS" MODIFY ("NOT_TEXTO" NOT NULL ENABLE);
 
  ALTER TABLE "ARNOTES4U"."NOTAS" MODIFY ("NOT_TITULO" NOT NULL ENABLE);
--------------------------------------------------------
--  DDL for Index USUARIOS_NOTAS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ARNOTES4U"."USUARIOS_NOTAS_PK" ON "ARNOTES4U"."USUARIOS_NOTAS" ("UNO_NOT_USU_ID_DE", "UNO_NOT_SEQUENCE", "UNO_NOT_USU_ID_PARA") 
  ;
--------------------------------------------------------
--  DDL for Index NOTAS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ARNOTES4U"."NOTAS_PK" ON "ARNOTES4U"."NOTAS" ("NOT_USU_ID_DE", "NOT_SEQUENCE") 
  ;
--------------------------------------------------------
--  DDL for Index USUARIOS_NOTAS_INDEX1
--------------------------------------------------------

  CREATE INDEX "ARNOTES4U"."USUARIOS_NOTAS_INDEX1" ON "ARNOTES4U"."USUARIOS_NOTAS" ("UNO_NOT_USU_ID_PARA") 
  ;
--------------------------------------------------------
--  DDL for Index USUARIOS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ARNOTES4U"."USUARIOS_PK" ON "ARNOTES4U"."USUARIOS" ("USU_ID") 
  ;
--------------------------------------------------------
--  Ref Constraints for Table NOTAS
--------------------------------------------------------

  ALTER TABLE "ARNOTES4U"."NOTAS" ADD CONSTRAINT "NOTAS_USUARIOS_FK1" FOREIGN KEY ("NOT_USU_ID_DE")
	  REFERENCES "ARNOTES4U"."USUARIOS" ("USU_ID") ENABLE;

--------------------------------------------------------
--  Ref Constraints for Table USUARIOS_NOTAS
--------------------------------------------------------

  ALTER TABLE "ARNOTES4U"."USUARIOS_NOTAS" ADD CONSTRAINT "USUARIOS_NOTAS_NOTAS_FK1" FOREIGN KEY ("UNO_NOT_USU_ID_DE", "UNO_NOT_SEQUENCE")
	  REFERENCES "ARNOTES4U"."NOTAS" ("NOT_USU_ID_DE", "NOT_SEQUENCE") ENABLE;
